Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 823384 - Unable to install system updates / packages that require accepting a security signature
Unable to install system updates / packages that require accepting a security...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 01:59 EDT by Andrew
Modified: 2012-07-11 15:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 15:04:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message (439.67 KB, image/jpeg)
2012-05-21 01:59 EDT, Andrew
no flags Details
Prompt immediately prior to error (467.37 KB, image/jpeg)
2012-05-21 02:00 EDT, Andrew
no flags Details
Updates and dependancies that may be related (437.24 KB, image/jpeg)
2012-05-21 02:01 EDT, Andrew
no flags Details
Packages that require user approval / trust fail to install (499.69 KB, image/jpeg)
2012-05-23 18:07 EDT, Andrew
no flags Details

  None (edit)
Description Andrew 2012-05-21 01:59:10 EDT
Created attachment 585720 [details]
Error message

Description of problem:

When attempting to update system in Gnome via "Software Update" after installing the beta currently available on the Fedora website, the following error is produced

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_5ftransaction_5ferror.Code14: Invalid input passed to daemon: char '<' in text!

Enclosed are screenshots leading up to the error.


Version-Release number of selected component (if applicable):

packagekit 3.4.0 (just a guess)

How reproducible:

Always


Steps to Reproduce:
1. Download Fedora 17 64-bit dvd iso from site
2. Install
3. Log into Gnome
4. Enable online repos if they're not already enabled
5. Activities -> Software Update -> Install Updates (as shown in Before.jpg)
6. Approve software source (as shown in During.jpg)
7. Observe failure (as shown in After.jpg)
  
Actual results:

System fails to update

Expected results:

Updates should install successfully

Additional info:

Sorry if I'm reporting an issue that may have already been addressed but I am unable to update the system at all. Please advise.
Comment 1 Andrew 2012-05-21 02:00:18 EDT
Created attachment 585721 [details]
Prompt immediately prior to error

Confirmation dialog immediately prior to bug
Comment 2 Andrew 2012-05-21 02:01:23 EDT
Created attachment 585722 [details]
Updates and dependancies that may be related

Updates and dependancies that may be related to bug
Comment 3 Andrew 2012-05-23 18:07:47 EDT
Created attachment 586475 [details]
Packages that require user approval / trust fail to install

Another fedora update package that requires user trust / signature approval. Approving such updates generates the error
Comment 4 Andrew 2012-07-11 15:04:27 EDT
Only seems to have affected the beta. Closing as "Works for me" as bug does not apply to the official release version. Way to follow up, guys... really. :-/

Note You need to log in before you can comment on or make changes to this bug.